# TraceUI Module

Trace scripting module that allows to interact with the Trace Compass UI to open an import traces.

## Method Overview

Method | Description
--- | ---
openTrace() | Fully open a trace in the Trace Compass application, ie it will open as if the user had opened it in the UI, running all automatic analyses, etc.

## Methods

### openTrace

ITmfTrace openTrace(String projectName, String traceName, [boolean isExperiment]) throws FileNotFoundException

Fully open a trace in the Trace Compass application, ie it will open as if the user had opened it in the UI, running all automatic analyses, etc. If the trace is successfully opened, it becomes the currently active trace.

projectName
  The name of the project
traceName
  the trace to open
isExperiment
  is the trace an experimentOptional: defaults to <false>.

The trace

FileNotFoundException
  Exception thrown if the file or the trace doesn't exist